Skip to main content
PATCH
Patch host connection

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

host_org_id
string<uuid>
required

Unique identifier of the host organization

Example:

"d49b0749-fbc7-4e0a-b03d-ef15f238071a"

Body

application/json
status
enum<string>
required

New status to update the host connection to

Available options:
connected,
disconnected

Response

Successful Response

host_organization_id
string<uuid>
required

Unique identifier of the host organization

Example:

"d49b0749-fbc7-4e0a-b03d-ef15f238071a"

guest_organization_id
string<uuid>
required

Unique identifier of the guest organization

Example:

"78b348b8-009c-4b87-af32-60a12fbc6e60"

host_name
string
required

Name of the host organization

Required string length: 1 - 300
Example:

"Example Host Corp"

host_email
string<email>
required

Email of the host organization

Required string length: 3 - 100
Example:

"hostcorp@example.com"

owner_email
string<email>
required

Email of the host organization owner

Required string length: 3 - 100
Example:

"owner@example.com"

status
enum<string>
required

Current status of the connection

Available options:
connected,
disconnected
archived
boolean
required

Indicates whether the connection is archived

created_at
string<date-time>
required

Datetime when the connection was created

Example:

"2025-12-12T12:00:00.123456"

updated_at
string<date-time>
required

Datetime when the host connection was updated

Example:

"2025-12-12T12:00:00.123456"

archived_at
string<date-time> | null

Datetime when the connection was archived

Example:

"2025-12-12T12:00:00.123456"

active_action_type
enum<string> | null

Current active action on the connection

Available options:
analytics_request
active_action_updated_at
string<date-time> | null

Datetime of the last update to the active action

Example:

"2025-12-12T12:00:00.123456"